IDE_ACDStd Plug-in

ACD Standard file format support

ACD Systems plug-in enabled software uses the IDE_ACDStd plug-in to view and save the following file formats:

BMP

EMF

GIF

JPEG

PCX

PIC

PNG

TGA

TIFF

WMF


BMP

BMP stands for Bitmap, and is the standard image file format for Windows®. Virtually all Windows programs that work with images support the BMP file format.

Typically BMP files are uncompressed, so high-resolution BMP images use an excessive amount of disk space (and take a long time to transfer over the internet). For this reason, you should avoid saving files in BMP format where possible.

BMP files can use any of the standard color depths (1, 4, 8, 15, 16, 24, or 32 bits per pixel). An RLE compression scheme is possible for 16- and 256-color images, but some imaging programs do not support it.

BMPs are often used for desktop background graphics. Windows will let you use a JPEG or GIF for your desktop background as well, but this requires Active Desktop to be enabled.


EMF

Enhanced Metafile graphics - one of Microsoft Windows native file formats.


GIF

GIF (Graphics Interchange Format)

GIF is a simple graphics format created by CompuServe and popularized by its support in web browsers. It features good, lossless compression of images with 256 colors or less. GIF allows one of the 256 colors to be set as a transparent color; when used on a web page, pixels of that color are transparent, so the background behind the GIF can be seen. GIF files do not allow partial transparency like PNG files.

Because GIF is limited to 256 colors, all images with more colors lose quality in the reduction (known as "quantization") to 256 colors. It is better to save images with many colors in PNG or JPEG format. In general, it is best to use JPEG format for photos.

The creators of the GIF format intended it to be in the public domain; however, the compression algorithm it uses, known as LZW, was actually patented by Unisys. Seven years after the format was introduced, after its universal acceptance on the Internet, Unisys announced it would charge a licensing fee to all software that supports GIF files, including freeware. Freeware developers cannot afford this fee, so freeware cannot legally handle GIFs. Some OEM versions of ACDSee do not support GIFs for this reason.

The Unisys announcement prompted the creation of the open image format known as PNG, which supports everything GIF does and more, with the exception of animations. PNG is supported in most new software, including new web browsers (such as Internet Explorer 4.01 and above), but if you are creating graphics that require compatibility with old web browsers, you may need to use GIFs instead.

GIF files can optionally be saved in an "interlaced" format intended for viewing in web browsers. When an web user downloads an interlaced GIF from the internet, a blocky version of the image is displayed quickly, and the image progressively increases in resolution as it downloads. However, interlaced files are slightly larger than normal files overall.

You can set the background color for transparent GIF images from the Plug-in Settings dialog box.

To change the GIF transparency settings:

  1. In the Plug-in Settings dialog box, select the Image Decode tab.

  2. In the Image decoding plug-ins list, select the IDE_ACDStd plug-in.

  3. Click the Properties button.

  4. In the About IDE_ACDStd dialog box, select the GIF icon, and then click the Format Settings button.

  5. Select the Use Background Color check box.

  6. Click the drop-down arrow next to the color indicator and select a color from the palette.

  7. Click OK.


JPEG

The JPG extension is used to denote JPEG compressed files. This file type is one of the three standard Internet types (JPG, GIF and PNG), and is widely used for storing photographic images. All JPEG images allow true color (i.e., millions of colors).

Compression is very important for internet sites, whose visitors most typically use slow modem connections which cannot handle large files. JPEG is known for its good compression, especially of images that have organic shapes, many colors, and color gradients (such as photographs.) 10:1 compression of color images is often obtained with imperceptible loss in image quality.

JPEG compression is always lossy, which means that the compression process modifies or loses picture information. When creating a JPEG image, you can select a quality level; higher levels give better quality at the expense of increased file size. For photos, the loss in quality is often not noticeable.

When editing image files, the lossy nature of JPEG means it is not a good idea to save your image in JPEG format until you are finished working on it. Every time you save and reload a JPEG, some image quality is lost, until eventually your image turns to mush. Using high quality levels can reduce this problem but not eliminate it.

JPEG has trouble compressing images that have many sharp contrasts, such as line drawings and computer screen shots. For example, JPEG would have trouble compressing a picture of these words because of all the sharp boundaries between black and white. When you attempt to save this sort of image in JPEG format, the compression ratio is much worse than for photos, and when the image is viewed, a strange-looking halo appears around sharp boundaries. For text, cartoons and screen shots, the GIF and PNG formats work much better. Also, dithered/quantized photos (such as photos inappropriately compressed to GIFs) do not re-compress well as JPEGs.

The ACD JPEG compressor's minimum quality of 0 introduces quite noticeable quality loss, but may be useful if space savings is paramount. The default quality level of 65 is a good compromise between size and quality, and typically achieves compression ratios of up to 25:1. Higher quality settings give you better quality with appropriately larger file sizes, but settings above 90 increase the file size quickly while achieving only slight gains in quality. For high quality images, you should clear the "Color Component Sampling" check boxes.

JPEG files can optionally be saved in a "progressive" format intended for viewing in web browsers. When an web user downloads a progressive JPEG from the internet, a blocky version of the image is displayed quickly, and the image progressively increases in resolution as it downloads.

Technically, JPEG is just a compression algorithm, not a file format. Files with a JPG extension actually use JFIF, the JPEG File Interchange Format, which is a simple "wrapping" around the JPEG data. The JFIF format includes limited metadata fields for storing text in the image file, such as a description.


Setting JPEG decode options

You can set JPEGs to use embedded thumbnails by changing the decode options from the Plug-in Settings dialog box.

To change the JPEG decode options:

  1. In the Plug-in Settings dialog box, select the Image Decode tab.

  2. In the Image decoding plug-ins list, select the IDE_ACDStd plug-in.

  3. Click the Properties button.

  4. In the About IDE_ACDStd dialog box, select the JPEG icon, and then click the Format Settings button.

  5. Select or clear the Use embedded thumbnails check box.

  6. Click OK.


Setting JPEG format options

When converting or saving an image as a JPEG, you can set several different options to specify how you want the application to handle JPEG images.

JPEG options

Image quality

Use this slider to set the ratio between file size and image quality. A higher value means a better image, but larger file, and a lower value will result in a smaller file, but a poorer image.

The default setting is 65, which results in a reasonably good image, and a fairly small file. A much lower setting will produce very poor image, and setting over 90 negates any compression benefit, resulting in very large file sizes.

Encoding

Select one of the following options:

  • Progressive: This option stores the image so that it can be viewed incrementally while downloading. This is useful for larger images that may be downloaded over a slower connection. If you select Progressive, you cannot select Optimize Huffman codes.

  • Optimize Huffman codes: This option uses Huffman codes to optimize the file compression, resulting in smaller file sizes.

Color component sampling

Select one or both of these check boxes to use additional color compression on JPG files. The color information is reduced in the direction selected, while the luminance information remains. While this is acceptable for most images, and results in smaller file sizes, image quality is reduced.

Embedded thumbnails

JPEG images can contain an embedded thumbnail within the image file, significantly improving the display time for larger images when browsing through a thumbnail list. Embedded thumbnails increase the file size, however, and are not desirable for some applications, such as Web pages as browsers would never see the thumbnail.

Select one of the following options to specify when the application should write thumbnails for JPEG images:

  • Only update existing thumbnails: This option does not create any new embedded thumbnails in JPEG, but will update existing ones.

  • Always add/update thumbnails: This option does create new thumbnails for all JPEG images, as well as update any existing ones.

  • Never add/update thumbnails: This option does not create any embedded thumbnails, and existing thumbnails will not be updated if the image is changed.

Note: Modern digital cameras usually create embedded thumbnails.

Generate DCF compatible thumbnails

Select this option to generate DCF (Digital Camera Format) thumbnails that will be compatible with the thumbnail view on the LCD of a digital camera. This option forces a fixed resolution of 160x120 and pads any extra space with black.

Save these settings as the defaults

Select this option if you want to apply the settings as defaults to all of the JPEG images you work with.


PCX

PCX is a fairly old file format that was quite popular in MS-DOS programs. PCX images are limited to 256 colors. They use a simple RLE compression scheme that works well on blocks of solid color.


PIC

PIC is a 3D file format developed by Softimage® for storing true color image data.

The PIC file format consists of a file header and image data. The file header contains information about the image and specification for each channel. The image data records pixel values.


PNG

PNG (Portable Network Graphics)

PNG (pronounced "Ping") is an open image format developed in 1995. It has been accepted as the third official Internet image format, alongside GIF and JPEG. Unfortunately, older web browsers do not support PNG files (except with the help of a plug-in and special HTML coding), and some newer browsers do not support its transparency feature correctly.

PNG has lossless compression, meaning that images saved in this format are perfectly identical when reloaded. Its compression is good for non-photographic images such as comics and maps, but modest for photos. When compressing photos, and slight quality loss is acceptable, JPEG is a better choice.

PNG is the only standard web format to support an alpha channel. An alpha channel allows specific parts of an image to be transparent, or semitransparent. For example, a graphical web page title could have a drop shadow that blends in with the background by setting the pixels of the shadow to 50% transparent.

As of this writing, ACD Systems products do not support transparency or alpha channels.

like GIF, PNG supports paletted and gray scale images of up to 256 colors, but unlike GIF, supports true color 24-bit and 48-bit color images (32/64 bit with an alpha channel) with millions of colors. PNG supports unlimited textual metadata for storing text-based information with an image.

PNG does not support animations like GIF; instead, the makers of PNG made a second, animated format known as MNG. MNG is superior to animated GIFs in almost every way, but it is not generally supported by Web browsers, and few programs can produce or even read them. In fact, ACD Systems does not have a MNG decoder.

PNG files can optionally be saved in an "interlaced" format intended for viewing in web browsers. When an web user downloads an interlaced PNG from the internet, a blocky version of the image is displayed quickly, and the image progressively increases in resolution as it downloads. However, interlaced files are slightly larger than normal files overall.


Setting PNG format options

When converting or saving an image as a PNG, you can set the interlaced option to specify how you want the application to handle PNG images.

If the Interlaced check box is not selected when the image is saved or converted, then the PNG image will be displayed in a Web browser linearly, decoding from top to bottom.

If Interlaced is selected, the image is displayed in full, but with low resolution, and gets sharper as the image is downloaded and decoded.

Note:

Select the Save these settings as the defaults check box if you want to apply the settings as defaults to all of the PNG images you work with.


TGA

TGA (Targa/Truevision Graphic Adapter)

Created in 1984, this is one of the oldest image formats to support true color. This is the primary reason for its popularity, though its use has been declining as of late.

TGA images can be paletted, high color, or true color. TGAs may be uncompressed or use RLE compression. Extensions introduced in 1989 allow additional color information, limited textual metadata, and thumbnail support.


Setting TGA format options

When converting or saving an image as a TGA, you can set the format options to specify how you want the application to handle TGA images.

TGA Encoding Options

Compress using Run Length Encoding (RLE) | This option uses lossless compression to store the image data. This option works best on images with large blocks of the same color, such as simple object art. It is ineffective on more complex images, such as photographs, and may actually make the files larger.
Bottom-up orientation | This option stores the image data the opposite way inside the file, effectively reversing the from top to bottom. Use this option if another image viewer is displaying your TGA files upside down.
Save these settings as the defaults | Select this option if you want to apply the settings as defaults to all of the TGA images you work with.


TIFF

TIFF (Tagged Image File Format)

TIFF was developed as a universal raster image file format by Aldus (now part of Adobe Systems) in 1987. However, it has not achieved universal acceptance, perhaps because its multitude of compression methods and extensions make it difficult for software developers to make a reliable decoder. With its rich color information support, and its support for tiling, TIFF is widely used for high-end imaging purposes.

The format supports several compression algorithms, or even no compression; most of the algorithms are lossless, but one is lossy (JPEG).

TIFF files can contain multiple images, but many programs do not support this feature.

You can set TIFF files to use embedded thumbnails by changing the decode options from the Plug-in Settings dialog box..

To change the TIFF decode options:

  1. In the Plug-in Settings dialog box, select the Image Decode tab.

  2. In the Image decoding plug-ins list, select the IDE_ACDStd plug-in.

  3. Click the Properties button.

  4. In the About IDE_ACDStd dialog box, select the TIFF icon, and then click the Format Settings button.

  5. Select or clear the Use embedded thumbnails check box.

  6. Click OK.


Setting TIFF format options

When converting or saving an image as a TIFF, you can set the format options to specify how you want the application to handle TIFF images.

TIFF Options

Compression

Select one of the following options to specify which compression to use:

  • None: This option does not compress the TIFF, resulting in a larger file size, but results in no image loss, and produces an image that should be readable by any compatible viewer.

  • CCITT: These options compresses the TIFF into a black and white format, primarily useful for fax transmissions. Group 4 compression provides a smaller file size than Group 3.

  • LZW: This option uses lossless Lempel-Ziv-Welch compression.

  • Deflate: This option uses lossless Deflate (ZIP) compression, which is superior to LZW, but may not be readable by some image viewers.

  • JPEG: This option provides the smallest file size, but is not readable by many image viewers.

  • Adobe Deflate: This option compresses the TIFF for compatibility with Adobe applications.

Resolution

Use these fields to specify the resolution of the image, in dots per inch. Entering values in these fields does not scale the image, but records the values as metadata within the file information, which can be used by some TIFF readers when printing the image.

Save these settings as the defaults

Select this option if you want to apply the settings as defaults to all of the TIFF images you work with.


WMF

The WMF graphic file format supports both vectors and bitmaps, and can be used with a variety of Windows® applications.


.topic 3
Specifies the JPEG quality/compression level.Lower value	More compression, lower qualityHigher value	Less compression, higher qualityThe default value is 65.

.topic 15
Applies lossy JPEG DCT compression to the image data.  This compression scheme gives the smallest image size, but is not supported by many TIFF readers.

.topic 211
The standard bit-mapped graphics format used in the Windows environment. By convention, graphics files in the BMP format end with a.BMP extension.

.topic 10
Do not compress the image data.

.topic 213
Pronounced jiff or giff (hard g) stands for graphics interchange format, a bit-mapped graphics file format used by the World Wide Web, CompuServe and many BBSs. GIF supports color and various resolutions. It also includes data compression, making it especially effective for scanned photos.

.topic 5
Optimizes the Huffman code tables in order to increase compression.  Although this option will not affect the image quality, compression will take slightly longer and the file might not be readable by some older software.

.topic 19
Writes the rows of the image from bottom to top, rather than top to bottom.

.topic 220
Short for Windows Metafile Format, graphics file format used to exchange graphics information between Microsoft Windows applications. WMF files can hold both vector and bit-mapped images.

.topic 20
When checked the color channels are subsampled by a factor of 2:1 in the horizontal axis.  A smaller image size will be generated at the expense of color accuracy.

.topic 8
Turns on Run-Length Encoding image compression.  This option will reduce the size of the file, but may take longer to encode and decode.

.topic 11
Create a CCITT3 compressed black & white image.

.topic 212
Short for Enhanced Metafile Format.  Win32 enhanced placeable metafiles.

.topic 12
Create a CCITT4 compressed black & white image.  CCITT4 gives better compression than CCITT3.

.topic 14
Applies lossless Deflate (ZIP) compression to the image data.  This compression scheme gives superior compression to that of LZW, but is not supported by many TIFF readers.

.topic 1
Saves the current settings as the defaults from now on.  If cleared the settings are applied to the current operation only.

.topic 21
When checked the color channels are subsampled by a factor of 2:1 in the vertical axis.  A smaller image size will be generated at the expense of color accuracy.

.topic 217
Short for Portable Network Graphics, and pronounced ping, a new bit-mapped graphics format similar to GIF. In fact, PNG was approved as a standard by the World Wide Web consortium to replace GIF because GIF uses a patented data compression algorithm called LZW. In contrast, PNG is completely patent- and license-free. The most recent versions of Netscape Navigator and Microsoft Internet Explorer now support PNG.

.topic 17
Specifies a value for the vertical resolution of the image, in dots per inch.  Some TIFF readers use this value to scale the image when viewing or printing.

.topic 16
Specifies a value for the horizontal resolution of the image, in dots per inch.  Some TIFF readers use this value to scale the image when viewing or printing.

.topic 215
Originally developed by ZSOFT for its PC Paintbrush program, PCX is a graphics file format for graphics programs running on PCs. It is supported by most optical scanners, fax programs, and desktop publishing systems. Files in the PCX format end with a ".pcx" ( pronounced dot -p-c-x) extension. Two other common bit map formats are BMP and TIFF.

.topic 218
Short for Targa TGA

.topic 9
Writes the rows of the image from top to bottom, rather than bottom to top.This is the help file for the IDE_ACDStd.apl plug-in.

.topic 216
Short for Lotus Picture File, the graphics file format used to represent graphics generated by Lotus 1-2-3.

.topic 219
Acronym for tagged image file format, one of the most widely supported file formats for storing bit-mapped images on personal computers (both PCs and Macintosh computers). Other popular formats are BMP and PCX. TIFF graphics can be any resolution, and they can be black and white, gray-scaled, or color. Files in TIFF format often end with a .tif extension.

.topic 13
Apply lossless Lempel-Ziv-Welch compression to the image data.

.topic 22
Enabling this option stores a thumbnail in the image.  This increases the file size, but may make thumbnail generation faster for those applications that are able to access it.

.topic 214
Short for Joint Photographic Experts Group, and pronounced jay-peg. JPEG is a lossy compression technique for color images. Although it can reduce files sizes to about 5% of their normal size, some detail is lost in the compression.

.topic 2
Reset all options to the “factory” settings.

.topic 4
Select this checkbox to enable progressive encoding.  Progressive encoding allows images to appear more quickly when transmitted over a low-bandwidth connection, but can slow down decoding when being accessed locally.  Progressive encoding also improves compression levels without any loss in image quality.  Some older software cannot read progressive mode JPEG images.

.topic 18
Creates an interlaced image.